<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_8368ecd0faa75c04b4e54eac3" . "bd45d63" => base64_decode("Q2xlYXJpbmcgbG9jYWxp" . "emF0aW9uIGNhY2hl"), "_db7b295629faa16027a" . "2c263095eba70" => base64_decode("cGhwX3N" . "hcGlfbm" . "FtZQ=="), "_282505db60b6a60f1a0c54a0f8c270" . "92" => base64_decode("VEVNUExBVEVSX" . "0NBQ0hFX0RJUg" . "=="), "_22ac6aae2762e0f310c4" . "95384c477dc8" => base64_decode("Lmdp" . "dGtl" . "ZXA="), "_f02edf67305f5d984784e5" . "a63acb5f0b" => base64_decode("U2tpcHBpbmcgY2xlYXJpbmcgbWVtb3J5IGN" . "hY2hlcyAocnVubmluZyBmcm9tIHRoZSBjb2" . "1tYW5kIGxpbmUp"), "_db98357e662ee4" . "057f89ee50fd63a" . "2c5" => base64_decode("Q2xlYXJpbmcgc2hhcmV" . "kIGFzc2V0cyBjYWNoZQ" . "=="), "_4d707fab93bebb0" . "0bbe69e8159697c9" . "0" => base64_decode(""), "_2ac6cb432a5df959efdffbcd288d07" . "45" => base64_decode("Q2xlYXJpbmcgdGVtcGxhdGVyIG" . "NhY2hl"), "_3d13c2fddaab71a09eeaf22607f1db" . "0f" => base64_decode("Q2xlYXJpbm" . "cgYWxsIHNo" . "YXJlZCBjYW" . "NoZXM="), "_2935eb81473a" . "5cdf164ba52dc" . "31d305c" => base64_decode("Q2xlYXJpbmcgbW" . "Vtb3J5IGNhY2hl" . "cw=="), "_d9040256b" . "ff96ad2c22" . "1f79439e05" . "60c" => base64_decode("Q2xlYXJpbmcgZGlyZWN0" . "b3J5IA=="), "_8fec21706bd243b3" . "7ecf62b1caf8fb8a" => base64_decode("Y2" . "xp"), "_edd716f0baedc2" . "427c121be529bf2" . "22d" => base64_decode("Q2xlYXJpbmcgYWxsIGxvY2FsI" . "GNhY2hlcw=="), "_8fd6da143a742433037d3741c26" . "c9f14" => base64_decode("Q2xlYXJpbmcgbG9jYWwgYXNzZXRzIGNh" . "Y2hl"));
use ClaCache;
use Claromentis\Core\Assets\AssetsPathGenerator;
use Claromentis\Core\Config\Config;
use Claromentis\Core\Localization\LocalizationPathGenerator;
use Claromentis\Core\Util\FilesystemUtil;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;




class CacheClearer
{
    use LoggerAwareTrait;
    protected FilesystemUtil $filesystem_util;
    
    
    
    
    private $i18n_dir;
    
    
    
    
    private $assets_cache_dir;
    
    
    
    
    private $shared_assets_cache_dir;
    
    
    
    
    private $templater_cache_dir;
    
    
    
    
    private $cache_types;
    
    
    
    
    
    
    
    
    
    public function __construct(FilesystemUtil $_3e9dd802f6570205386040c44f4fa34c, AssetsPathGenerator $_d97d6167740e659d41e6072afead2dee, LocalizationPathGenerator $_d4919729bcd109cabacba2d3cebe6527, Config $config)
    {
        $this->filesystem_util = $_3e9dd802f6570205386040c44f4fa34c;
        $this->i18n_dir = $_d4919729bcd109cabacba2d3cebe6527->GetCacheRoot();
        $this->assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetLocalCachePath();
        $this->shared_assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetSharedCachePath();
        $this->cache_types = ClaCache::PRIMARY_CACHES;
        $this->templater_cache_dir = $config->get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_282505db60b6a60f1a0c54a0" . "f8c27092"]);
        $this->logger = new NullLogger();
    }
    
    
    
    
    public function Clear()
    {
        $this->Reset();
        $this->ResetShared();
    }
    
    
    
    
    public function Reset()
    {
        $this->logger->info($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_edd716f0baedc2427c121be5" . "29bf222d"]);
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_db7b295629faa16027a2" . "c263095eba70"]() !== $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_8fec2170" . "6bd243b37" . "ecf62b1ca" . "f8fb8a"]) {
            $this->ClearCla();
        } else {
            $this->logger->info($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_f02edf6" . "7305f5d9" . "84784e5a" . "63acb5f0" . "b"]);
        }
        $this->ClearLocalization();
        $this->ClearTemplater();
        $this->ClearAssets();
    }
    public function ResetShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_3d13c2fddaab71a0" . "9eeaf22607f1db0f"]);
        $this->ClearAssetsShared();
    }
    
    
    
    
    
    
    public function ClearLocalization()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_8368ecd" . "0faa75c0" . "4b4e54ea" . "c3bd45d6" . "3"]);
        return $this->ClearDirectory($this->i18n_dir);
    }
    
    
    
    
    
    
    public function ClearAssets()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_8fd6da143a742433037d3741c26c9f1" . "4"]);
        return $this->ClearDirectory($this->assets_cache_dir);
    }
    public function ClearAssetsShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_db98357e662ee4057f89e" . "e50fd63a2c5"]);
        $this->ClearDirectory($this->shared_assets_cache_dir);
    }
    
    
    
    
    public function ClearCla()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_2935eb814" . "73a5cdf164" . "ba52dc31d3" . "05c"]);
        foreach ($this->cache_types as $type) {
            ClaCache::I($type)->Clear($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4d707fab93bebb00bbe69e81" . "59697c90"]);
        }
        ClaCache::Clear($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_4d707fab93bebb00bbe69e815969" . "7c90"], true);
    }
    public function ClearTemplater()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_2ac6cb432a5df959efdffbcd2" . "88d0745"]);
        return $this->ClearDirectory($this->templater_cache_dir);
    }
    
    
    
    
    
    
    
    private function ClearDirectory($_c4f3321d131869e51a8844b6bcd8fb86)
    {
        $this->logger->debug($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_d9040256bf" . "f96ad2c221f" . "79439e0560c"] . $_c4f3321d131869e51a8844b6bcd8fb86);
        return $this->filesystem_util->DeleteDir($_c4f3321d131869e51a8844b6bcd8fb86, false, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_22ac6aae2762e0f310c495384c47" . "7dc8"]);
    }
}